package Servlet;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import Datos.EquipoDB;
import Datos.JugadorDB;
import Modelo.CodClub;
import Modelo.Equipo;
import Modelo.Jugador;
import java.util.ArrayList;
import java.util.UUID;

public class CrearEquipo2Servlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String encoding = request.getCharacterEncoding();
        if (encoding == null) {
            request.setCharacterEncoding("UTF-8");
        }

        String url;
        HttpSession sesion = request.getSession();
        String operacion = request.getParameter("operacion");
        CodClub club = (CodClub) sesion.getAttribute("club");
        String nombre_equipo = request.getParameter("nombreEquipo");
        String categoria_equipo = request.getParameter("categoriaEquipo");
        String sexo_equipo = request.getParameter("sexoEquipo");
        String entrenador1 = request.getParameter("entrenador1");
        if(entrenador1 == null){
            entrenador1 = "";
        }
        String entrenador2 = request.getParameter("entrenador2");
        if(entrenador2 == null){
            entrenador2 = "";
        }
        String delegado = request.getParameter("delegado");
        if(delegado == null){
            delegado = "";
        }
        String id_equipo = "";
        
        if(operacion.equals("MOD")){
            id_equipo = request.getParameter("id_equipo");
            ArrayList<Jugador> lista_jugadores = JugadorDB.getJugadoresEquipo(id_equipo);
            request.setAttribute("lista_jugadores", lista_jugadores);
            Equipo equipo = new Equipo (id_equipo, club.getId_club(), nombre_equipo, sexo_equipo, categoria_equipo, entrenador1, entrenador2, delegado);
            EquipoDB.updateEquipo(equipo);
        }else if (operacion.equals("REG")){
            id_equipo = UUID.randomUUID().toString();
            Equipo equipo = new Equipo (id_equipo, club.getId_club(), nombre_equipo, sexo_equipo, categoria_equipo, entrenador1, entrenador2, delegado);
            EquipoDB.addEquipo(equipo);
        }
        url = "/crearEquipo2.jsp?operacion="+operacion+"&id_equipo="+id_equipo;
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }
}
